Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.oiw
Class ElGamalParameter

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.oiw.ElGamalParameter

All Implemented Interfaces:
  DEREncodable

    public class ElGamalParameter

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`ElGamalParameter(ASN1Sequence seq)`
`ElGamalParameter(java.math.BigInteger p, java.math.BigInteger g)`

Method Summary
`java.math.BigInteger` `getG()`
`java.math.BigInteger` `getP()`
`DERObject` `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElGamalParameter

    public ElGamalParameter(java.math.BigInteger p,
                            java.math.BigInteger g)

### ElGamalParameter

    public ElGamalParameter(ASN1Sequence seq)

Method Detail

### getP

    public java.math.BigInteger getP()

### getG

    public java.math.BigInteger getG()

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45